Subject: Re: bug#65726: 29.1.50; Crash in regexp engine

From: Eli Zaretskii <[email-masked]>
Date: Mon, 04 Sep 2023 16:28:27 +0300

> From: Mattias Engdegård <[email-masked]>
> Date: Mon, 4 Sep 2023 15:18:01 +0200
> Cc: [email-masked],
>  martin rudalics <[email-masked]>,
>  Stefan Monnier <[email-masked]>
> 
> 4 sep. 2023 kl. 14.12 skrev Eli Zaretskii <[email-masked]>:
> 
> > I can reproduce on MS-Windows.  It's an infinite recursion.
> 
> Hmmm, strange that I'm unable to then.
> 
> The recursion seems to be in code added in 5a864f23eb. Does the problem disappear if that commit is unmade?

Yes, if I revert that change, the problem goes away.

> I shall give this another go but meanwhile maybe Stefan could look at it, too?
> Not that I am implything there is anything wrong with his code. Heavens, no.

Thanks.